Wayout LogoDocumentation
Exchange rate

Get Exchange Rate

Endpoint for retrieving the current exchange rate between a specified cryptocurrency and fiat currency.


Introduction

The exchange rate endpoint allows you to provide accurate and up-to-date currency conversion for your own custom checkout experience and point-of-sale applications.

In the request URL, you may specify the cryptocurrency and fiat currency pair you wish to retrieve the exchange rate for.


HTTP Request

GET /api/exchange-rate/[crypto]/[fiat]

URL parameters

ParameterTypeDescription
cryptostringThe cryptocurrency symbol (e.g. BTC, ETH, LTC)
fiatstringThe fiat currency symbol (e.g. USD)

Request headers

HeaderValue
Content-Typeapplication/json
Authorization<API Key>
API key must have Automate Payments permission scope or higher.

Response schema

FieldTypeDescription
successbooleanIndicates whether the request was successful
ratenumberThe current exchange rate between the specified cryptocurrency and fiat currency
coin_symbolstringThe symbol of the cryptocurrency (e.g. BTC)
fiat_symbolstringThe symbol of the fiat currency (e.g. USD)

Example response

{
    "success": true,
    "rate": 1.234,
    "coin_symbol": "BTC",
    "fiat_symbol": "USD"
}